/********************************************************************/
/* stdarg.h  v1.10                                                  */
/* Copyright (c) 1992,1995 Texas Instruments Incorporated           */
/********************************************************************/
#ifndef _STDARG
#define _STDARG

typedef char *va_list;

#define va_start(ap, parmN) (ap =(char *)&parmN - (sizeof(parmN) < sizeof(int)))

#define va_end(ap)

#ifdef _TMS37016_pass_long_by_value
#define va_arg(ap, type)					\
  (ap -= 2,			            			\
    ((_va_argref(type)          )  ? (** (type **) (ap)     ) :	\
     (sizeof(type) == sizeof(int)) ? (*  (type *)  (ap)     ) :	\
     (sizeof(type) <  sizeof(int)) ? (*  (type *)  ((ap)+ 1)) :	\
                                     (*  (type *)  ((ap)-=2)) ) )
#else
#define va_arg(ap, type)					\
  (ap -= 2,			            			\
   (* ( (!_va_argref(type)) ?					\
        ((type *) (ap + (sizeof(type) < sizeof(int)))) :	\
        (* (type **) ap) ) ) )
#endif


#endif
