;---------------------------------------------------------------------------
;
; DEMOPROGRAM TO CONVERT TWO ANALOG VOLTAGES WITH THE A/D-CONVERTER
; (MAIN PROGRAM)
;
; DEVICE: TMS370C16B18
;
                .global AD_Init
                .global AD_Read
                .global LED_Init
                .global LED_Write
                .global start
;
start:          mov     #2400h,SP       ; Set stack pointer
;
                call    #?LED_Init      ; Initalise the LCD display
                call    #?AD_Init       ; Initalise the A/D convertor
;
main:           call    #?AD_Read       ; Read an A/D value
                call    #?LED_Write     ; Write it to the LCD display
                mov     #0,r2           ; Delay
w1:             dbnz    r2,w1           ;
                br      main

