/****************************************************************************/
/* COMMAND FILE FOR LINKING TMS370/16 C PROGRAMS                            */
/****************************************************************************/
-c                                      /* LINK USING C CONVENTIONS         */
-stack 0x200                            /* STACK SIZE                       */
-heap 0x100                             /* HEAP SIZE                        */
-l c:\c16\bin\rts.lib                   /* RUNTIME SUPPORT                  */


/* SPECIFY THE SYSTEM MEMORY MAP  */

MEMORY
{
  DATA : origin = 02000h, length = 0500h
  CODE : origin = 08000h, length = 10000h
}

/* SPECIFY THE SECTIONS ALLOCATION INTO MEMORY */

SECTIONS
{
  .text    :  > CODE                    /* CODE                             */
  .const   :  > CODE                    /* CONSTANTS AND SWITCH TABLES      */
  .cinit   :  > DATA                    /* INITIALIZATION TABLES            */
  .data    :  > DATA                    /* OTHER DATA (NOT USED BY COMPILER)*/
  .bss     :  > DATA                    /* VARIABLES                        */
  .heap    :  > DATA                    /* DYNAMIC MEMORY POOL              */
  .stack   :  > DATA                    /* SYSTEM STACK                     */
 /* MAP INTERRUPT VECTORS HERE                */ 
}
