;---------------------------------------------------------------------------
;
; DEMO PROGRAM TO TRANSFER DATA TO AN LED DISPLAY
; (MAIN PROGRAM)
;
; DEVICE: TMS370C16B18
;
                .global LED_Init
                .global LED_Write
                .global start
;
start:          mov     #2400h,SP               ; Set stack pointer
;
                call    #?LED_Init              ; Initialize SPI
                mov     #1234h,r2               ;
;
main:           call    #?LED_Write             ; Write r2 to LED
                adq     #1,r2                   ; Increment data
                mov     #0,r3                   ;
wait:           dbnz    r3,wait                 ; Wait a while
                br      main

