;--------------------------------------------------------------------------
;
; Timer Example
;
                .global start
                .global TMR_Init
                .global TMR_Start
;
; B I/O port register definitions
;
BDIR            .equ    0006Ah          ; Port B direction register
BDATA           .equ    0006Bh          ; Port B data register
;
;--------------------------------------------------------------------------
;
; start
;
;
start:
                mov     #02400h,sp      ; Set stack pointer
                mov     #0,st           ; Enable interupts
;
                sbit1b  #0,&BDIR        ; Port B2 = output
                sbit0b  #0,&BDATA       ;
;
                call    #?TMR_Init      ; Initalise the timer module
                call    #?TMR_Start     ;
;
wait:           br      wait

